Description

Supportanfrage

Wir nutzen ADTF 2.14 und nutzen dort natürlich auch die description files für filter pins.

Gibt es bereits fertige converter, welche die description files in andere Sprachen übersetzt?

z.B. in c strcuts (h-file) oder struktur Beschreibungen in python?

Wir senden die Signale der pins an externe unabhängige Programme und wollen diese dort interpretieren.

Lösung

In ADTF 2.x kannst du mittels Media Description Editor (GUI in ADTF selbst als auch standalone commandline tool) aus einem

.description file ein .h File konvertieren.

Siehe Usermanual (3.15 Media Description Editor und folgende)

Ausblick:

In ADTF 3.x kann man in CMake bei add_filter mittlerweile .description Files mit angeben und bekommt daraus einen Header

generiert und kann somit im Code auf die Strukturen zugreifen, siehe

ADTF Media Description Code Generation

Für euch im 2er Kontext vielleicht lediglich aktuell als Ausblick relevant, allerdings läuft hier im Hintergrund ein mdgen tool, dass die

Konvertierung vornimmt und ihr a) genauso für ADTF 2.x Konvertierungen verwenden könnt und b) im Vgl. zur 2er Variante nochmal

überarbeitet wurde und zuverlässiger/umfänglicher funktionert (und natürlich weiterhin Features erfahren kann).

siehe ADTF_DIR/pkg/adtfmediadescription/bin/adtf_mdgen.exe, natürlich entspricht ADTF_DIR = ADTF 3.x

adtf_mdgen.ex --help für mehr Infos

Vielleicht hilft euch das auch oder noch besser weiter und passt dann auch zu eurem 3er Prozess.

History

#1 - 2020-03-03 11:51 - hidden

- Project changed from Public Support to 16

- Status changed from New to In Progress

- Topic set to ADTF::MediaDescription

- Customer set to PORSCHE

- Affected Products ADTF 2.14.0 added

#2 - 2020-03-03 12:30 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Christoph,

in ADTF 2.x kannst du mittels Media Description Editor (GUI in ADTF selbst als auch standalone commandline tool) aus einem .description file ein .h
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf/v3/adtf_html/page_media_description_code_generation.html


File konvertieren.

Siehe Usermanual (3.15 Media Description Editor und folgende)

Ausblick:

In ADTF 3.x kann man in CMake bei add_filter mittlerweile .description Files mit angeben und bekommt daraus einen Header generiert und kann

somit im Code auf die Strukturen zugreifen, siehe

ADTF Media Description Code Generation

Für euch im 2er Kontext vielleicht lediglich aktuell als Ausblick relevant, allerdings läuft hier im Hintergrund ein mdgen tool, dass die Konvertierung

vornimmt und ihr a) genauso für ADTF 2.x Konvertierungen verwenden könnt und b) im Vgl. zur 2er Variante nochmal überarbeitet wurde und

zuverlässiger/umfänglicher funktionert (und natürlich weiterhin Features erfahren kann).

siehe ADTF_DIR/pkg/adtfmediadescription/bin/adtf_mdgen.exe, natürlich entspricht ADTF_DIR = ADTF 3.x

adtf_mdgen.ex --help für mehr Infos

Vielleicht hilft euch das auch oder noch besser weiter und passt dann auch zu eurem 3er Prozess.

#3 - 2020-03-11 08:26 - hidden

- Project changed from 16 to Public Support

- Subject changed from converter media description to Converter for Media Description

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
